=== debian/changelog ===
wings3d (2.1.5-3) unstable; urgency=medium

  * Disable full scene antialiasing because it makes Wings 3D crash on
    Wayland and/or certiang hardware which doesn't suppor FSAA
    (closes: #861086).
  * Bumped debhelper compatibility level to 10.
  * Bumped standards version to 4.1.1.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 27 Nov 2017 09:34:33 +0300

wings3d (2.1.5-2) unstable; urgency=medium

  * Added a patch by upstream which fixes FTBFS when building with
    Erlang/OTP 20 (closes: #871369).

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 08 Aug 2017 00:40:12 +0300

wings3d (2.1.5-1) unstable; urgency=medium

  * New upstream release. Refreshed patches, removed irrelevant ones.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 22 Jan 2017 11:49:09 +0300

wings3d (1.5.4-2) unstable; urgency=medium

  * Added a patch by upstream which fixes FTBFS with Erlang 19 due to
    deprecated module usage and redefining predefined macro name.
  * Bumped the minimum Erlang version requirement to 18.
  * Bumped standards version to 3.9.8.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 03 Sep 2016 14:17:18 +0300
