=== debian/rules ===
#!/usr/bin/make -f

-include vsn.mk

export HOME := $(CURDIR)/debian
DIR := debian/wings3d
LIBDIR := /usr/lib/erlang/lib/wings-$(WINGS_VSN)
LINTIANDIR := /usr/share/lintian/overrides
SUBDIRS := ebin plugins shaders textures

%:
	dh $@

vsn.mk:
	$(MAKE) vsn.mk

override_dh_clean:
	rm -rf plugins/accel
	rm -rf plugins/jpeg
	find plugins -name '*.lang' -exec rm -f \{\} \;
	rm -f ebin/*.lang
	rm -f src/wings_en.lang
	rm -f plugins_src/autouv/autouv_en.lang
	dh_clean vsn.mk erl_crash.dump '*.beam' '*.so'

override_dh_auto_build:
	$(MAKE)
	$(MAKE) lang

override_dh_install:
	dh_install -XREADME $(SUBDIRS) $(LIBDIR)
	# Remove errant executable flags to please lintian
	find $(DIR)$(LIBDIR) -type f -exec chmod a-x \{\} \;
	# prepare substvars file
	erlang-depends
	grep-status -s Version -PX erlang-esdl | \
	    sed -e's!^Version: \(.*\)-.*!erlang-esdl:Depends=erlang-esdl (>= \1)!' \
	    >> debian/wings3d.substvars

get-orig-source:
	wget -O wings3d_2.1.5.orig.tar.bz2 \
	    http://prdownloads.sourceforge.net/wings/wings-2.1.5.tar.bz2

.PHONY: override_dh_clean override_dh_auto_build override_dh_install get-orig-source
