=== src/Makefile ===
--- 
+++ 
@@ -38,7 +38,6 @@
 # rule to ensure that it gets compiled before all other modules.
 
 MODULES= \
-	array \
 	user_default \
 	wings \
 	wings_align \
@@ -46,7 +45,6 @@
 	wings_camera \
 	wings_cl \
 	wings_cc \
-	wings_cc_ref \
 	wings_collapse \
 	wings_color \
 	wings_console \
@@ -76,6 +74,7 @@
 	wings_glfont \
 	wings_help \
 	wings_hotkey \
+	wings_info \
 	wings_image \
 	wings_image_viewer \
 	wings_import \
@@ -89,6 +88,7 @@
 	wings_menu_util \
 	wings_move \
 	wings_msg \
+	wings_obj \
 	wings_outliner \
 	wings_palette \
 	wings_pb \
@@ -105,11 +105,11 @@
 	wings_sel_cmd \
 	wings_scale \
 	wings_shaders \
-	wings_shape \
 	wings_shapes \
 	wings_start \
 	wings_status \
 	wings_subdiv \
+	wings_sup \
 	wings_theme \
 	wings_toolbar \
 	wings_tesselation \
@@ -131,9 +131,18 @@
 	wings_wm \
 	wpa \
 	ww_color_ctrl \
-	ww_color_slider
+	ww_color_slider \
+	jsone \
+	jsone_decode \
+	jsone_encode
 
 TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)
+
+WINGS_MODS= $(MODULES:%=%,)wings_lang
+
+APP_FILE   = wings.app
+APP_SRC    = $(APP_FILE).src
+APP_TARGET = $(EBIN)/$(APP_FILE)
 
 # ----------------------------------------------------
 # FLAGS
@@ -148,7 +157,7 @@
 opt debug wx:
 	$(MAKE) TYPE=$@ common
 
-common: $(EBIN)/wings_lang.beam $(TARGET_FILES)
+common: $(EBIN)/wings_lang.beam $(TARGET_FILES) $(APP_TARGET)
 
 template: $(TARGET_FILES)
 	erl -pa $(WINGS_INTL) -noinput -run tools generate_template ../ebin -run erlang halt
@@ -166,6 +175,11 @@
 
 $(EBIN)/%.beam: $(ESRC)/%.erl
 	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<
+
+$(APP_TARGET): $(APP_SRC) ../vsn.mk Makefile
+	$(gen_verbose)sed -e 's;%WINGS_MODS%;$(WINGS_MODS);' $< > $@.tmp
+	$(vsn_verbose)sed -e 's;%VSN%;$(WINGS_VSN);' $@.tmp > $@
+	$(V_at)rm $@.tmp
 
 # ----------------------------------------------------
 # Dependencies
