=== plugins_src/import_export/Makefile ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	wpc_bzw \
 	wpc_collada \
 	collada_import \
+	wpc_gltf \
 	wpc_hlines \
 	wpc_kerky \
 	wpc_lwo \
