=== debian/changelog ===
wings3d (2.1.7-3) unstable; urgency=medium

  * Fix FTBFS with Erlang/OTP 21 (closes: #909982).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 01 Oct 2018 07:15:08 +0300

wings3d (2.1.7-2) unstable; urgency=medium

  * Upload to unstable since this release is marked stable upstream.
  * Bump the standards version to 4.2.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 02 Aug 2018 18:38:03 +0300

wings3d (2.1.7-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream development release.
  * Bump the standards version to 4.1.4.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 02 Jun 2018 08:51:04 +0300

wings3d (2.1.6-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream development release.
  * Refresh patches, remove the patch which was necessary to build with
    Erlang/OTP 20.
  * Add a hack to build the package without patching include_lib directives.
  * Add the Salsa VCS headers to debian/changelog.
  * Bump the standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 22 Mar 2018 09:50:37 +0300
