=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
 Build-Depends: debhelper (>= 10.0.0), grep-dctrl,
  erlang-dev (>= 1:18.0), erlang-esdl-dev (>= 1.2), erlang-cl, erlang-wx,
  libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libjpeg-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: http://www.wings3d.com
+Vcs-Browser: https://salsa.debian.org/erlang-team/packages/wings3d
+Vcs-Git: https://salsa.debian.org/erlang-team/packages/wings3d.git
 
 
 Package: wings3d
