=== debian/rules ===
--- 
+++ 
@@ -21,9 +21,21 @@
 	rm -f ebin/*.lang
 	rm -f src/wings_en.lang
 	rm -f plugins_src/autouv/autouv_en.lang
+	rm -rf wings-$(WINGS_VSN)
 	dh_clean vsn.mk erl_crash.dump '*.beam' '*.so'
 
+FAKE_BUILD = $(CURDIR)/wings-$(WINGS_VSN)
+export ERL_COMPILE_FLAGS := -pa $(FAKE_BUILD)/ebin
+
 override_dh_auto_build:
+	# HACK: build process can't find some include files because of naming
+	# of the build directory wings3d-<vsn> instead of wings-<vsn>, so
+	# create the desired directory inside the current one
+	mkdir $(FAKE_BUILD)
+	ln -s ../src $(FAKE_BUILD)/src
+	ln -s ../e3d $(FAKE_BUILD)/e3d
+	ln -s ../intl_tools $(FAKE_BUILD)/intl_tools
+	ln -s ../ebin $(FAKE_BUILD)/ebin
 	$(MAKE)
 	$(MAKE) lang
 
@@ -38,7 +50,7 @@
 	    >> debian/wings3d.substvars
 
 get-orig-source:
-	wget -O wings3d_2.1.5.orig.tar.bz2 \
-	    http://prdownloads.sourceforge.net/wings/wings-2.1.5.tar.bz2
+	wget -O wings3d_2.1.6.orig.tar.bz2 \
+	    http://prdownloads.sourceforge.net/wings/wings-2.1.6.tar.bz2
 
 .PHONY: override_dh_clean override_dh_auto_build override_dh_install get-orig-source
