=== e3d/Makefile ===
--- 
+++ 
@@ -35,10 +35,9 @@
 	e3d_util \
 	e3d_vec \
 	e3d_q \
-	e3d_qbvh \
 	e3d_bv \
+	e3d_bvh \
 	e3d_kd3 \
-	orig_kd3 \
 	e3d__tri_quad \
 	e3d__meshclean \
 	e3d__bmp \
