=== plugins_src/Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 WINGS_INTL=../intl_tools
 EBIN=../plugins/default
 ERLC=erlc
+WINGS_TOP=../..
 
 ifeq ($(TYPE),debug)
 TYPE_FLAGS=-DDEBUG
@@ -33,7 +34,7 @@
 # ----------------------------------------------------
 # FLAGS
 # ----------------------------------------------------
-ERL_COMPILE_FLAGS += -Werror $(TYPE_FLAGS) +debug_info -pa $(WINGS_INTL) -I $(WINGS_INTL)
+ERL_COMPILE_FLAGS += -Werror $(TYPE_FLAGS) +debug_info -pa $(WINGS_INTL) -I $(WINGS_TOP)
 
 # ----------------------------------------------------
 # Targets
