=== src/Makefile ===
--- 
+++ 
@@ -27,12 +27,6 @@
 TYPE_FLAGS=+debug_info
 endif
 
-ifeq ($(TYPE),wx)
-USE_WX=-DUSE_WX=1
-else
-USE_WX=
-endif
-
 # All modules except wings_langs are mentioned here. It contains a parse
 # transform needed for compiling the other modules, so we must use a special
 # rule to ensure that it gets compiled before all other modules.
@@ -42,6 +36,7 @@
 	wings \
 	wings_align \
 	wings_body \
+	wings_bool \
 	wings_camera \
 	wings_cl \
 	wings_cc \
@@ -147,8 +142,8 @@
 # ----------------------------------------------------
 # FLAGS
 # ----------------------------------------------------
-ERL_COMPILE_FLAGS += -Werror -I ../e3d $(TYPE_FLAGS) \
-'-Dwings_version="$(WINGS_VSN)"' -pa $(WINGS_INTL) $(USE_WX)
+ERL_COMPILE_FLAGS += -Werror -I ../.. -I../_deps $(TYPE_FLAGS) \
+'-Dwings_version="$(WINGS_VSN)"' -pa $(WINGS_INTL)
 
 # ----------------------------------------------------
 # Targets
