=== plugins_src/accel/Makefile ===
--- 
+++ 
@@ -12,6 +12,8 @@
 #
 OS := $(shell uname -s)
 
+ERL=erl
+
 ifeq ($(findstring CYGWIN,$(OS)),CYGWIN)
   USEMINGWGCC := true
   DEF_CC = mingw32-gcc
@@ -21,6 +23,11 @@
  ifeq ($(MSYSTEM),$(filter $(MSYSTEM),MINGW32 MINGW64))
   USEMINGWGCC := true
   DEF_CC = gcc
+ endif
+else
+ ifeq ($(WSLcross), true)
+  UseMCL = true
+  ERL = erl.exe
  endif
 endif
 
@@ -35,7 +42,7 @@
 LIBDIR = ../../plugins/accel
 
 FRD = 'io:fwrite("~n=:~s~n",[code:root_dir()]),init:stop().'
-ERL_DIR := $(shell echo $(FRD) | erl | sed -n '/^=:/s/^=://p')
+ERL_DIR := $(shell echo $(FRD) | $(ERL) | sed -n '/^=:/s/^=://p')
 ERL_INC = "$(ERL_DIR)/usr/include"
 BEAM = $(LIBDIR)/wpc_pick.beam
 
@@ -46,14 +53,14 @@
  OUT = -Fe:
  SO_EXT = dll
  LIBS = -LD
- CFLAGS = -nologo -Zi -Ox
+ CFLAGS += -nologo -Zi -Ox
 else
  OUT = -o
  ifdef USEMINGWGCC
   SO_EXT = dll
   LIBS = -mdll
-  GL_LIBS = -lopengl32 -lglu32
-  CFLAGS = $(COMMON_CFLAGS) -Werror -O3
+  GL_LIBS += -lopengl32 -lglu32
+  CFLAGS += $(COMMON_CFLAGS) -Werror -O3
  else
   SO_EXT = so
   DEF_CC = $(CC)
@@ -63,8 +70,8 @@
     GL_LIBS =
   else
     LIBS = -shared -fpic
-    GL_LIBS = -L/usr/local/lib -lGLU -lGL
-    CFLAGS = $(COMMON_CFLAGS) -Werror -O3
+    GL_LIBS += -L/usr/local/lib -lGLU -lGL
+    CFLAGS += $(COMMON_CFLAGS) -Werror -O3
   endif
  endif
 endif
