=== plugins_src/autouv/Makefile ===
--- 
+++ 
@@ -18,9 +18,7 @@
 WINGS_INTL=../../intl_tools
 EBIN=../../plugins/autouv
 ERLC=erlc
-WINGS_SRC=../../src
-WINGS_EBIN=../../ebin
-WINGS_E3D=../../e3d
+WINGS_TOP=../../..
 
 ifeq ($(TYPE),debug)
 TYPE_FLAGS=-DDEBUG
@@ -45,7 +43,7 @@
 # ----------------------------------------------------
 # FLAGS
 # ----------------------------------------------------
-ERL_COMPILE_FLAGS += -Werror -pa $(WINGS_EBIN) -pa $(WINGS_INTL) -I $(WINGS_SRC) -I $(WINGS_E3D) $(TYPE_FLAGS) +debug_info
+ERL_COMPILE_FLAGS += -Werror -pa $(WINGS_INTL) -I $(WINGS_TOP) $(TYPE_FLAGS) +debug_info
 
 # ----------------------------------------------------
 # Targets
@@ -56,7 +54,7 @@
 
 common: $(TARGET_FILES) subdirs
 
-subdirs: 
+subdirs:
 	(cd shaders; $(MAKE))
 
 template: opt
@@ -67,6 +65,7 @@
 	erl -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)
 
 clean:
+	(cd shaders; $(MAKE) clean)
 	rm -f $(TARGET_FILES)
 	rm -f core
