=== plugins_src/commands/Makefile ===
--- 
+++ 
@@ -18,8 +18,7 @@
 WINGS_INTL=../../intl_tools
 EBIN=../../plugins/commands
 ERLC=erlc
-WINGS_SRC=../../src
-WINGS_EBIN=../../ebin
+WINGS_TOP=../../..
 WINGS_E3D=../../e3d
 
 ifeq ($(TYPE),debug)
@@ -47,6 +46,7 @@
 	wpc_grid_snap \
 	wpc_intersect_edge \
 	wpc_intersect_vertex \
+	wpc_isometric_view \
 	wpc_magnet_mask \
 	wpc_move_planar \
 	wpc_numeric_camera \
@@ -68,9 +68,7 @@
 # ----------------------------------------------------
 # FLAGS
 # ----------------------------------------------------
-ERL_COMPILE_FLAGS += -Werror -pa $(WINGS_EBIN) -I $(WINGS_SRC) \
-   -I $(WINGS_E3D) $(TYPE_FLAGS) \
-  +debug_info -pa $(WINGS_INTL) -I $(WINGS_INTL)
+ERL_COMPILE_FLAGS += -pa $(WINGS_INTL) -Werror -I $(WINGS_TOP) $(TYPE_FLAGS) +debug_info
 
 # ----------------------------------------------------
 # Targets
