=== plugins_src/import_export/Makefile ===
--- 
+++ 
@@ -18,9 +18,8 @@
 WINGS_INTL=../../intl_tools
 EBIN=../../plugins/import_export
 ERLC=erlc
-WINGS_SRC=../../src
-WINGS_EBIN=../../ebin
 WINGS_E3D=../../e3d
+WINGS_TOP=../../..
 
 ifeq ($(TYPE),debug)
 TYPE_FLAGS=-DDEBUG
@@ -39,6 +38,7 @@
 	wpc_kerky \
 	wpc_lwo \
 	wpc_obj \
+	wpc_ply \
 	wpc_pov \
 	wpc_ps \
 	wpc_rwx \
@@ -53,9 +53,8 @@
 # ----------------------------------------------------
 # FLAGS
 # ----------------------------------------------------
-ERL_COMPILE_FLAGS += -Werror \
-  -pa $(WINGS_EBIN) -pa $(WINGS_INTL) -I $(WINGS_INTL) \
-  -I $(WINGS_SRC) -I $(WINGS_E3D) $(TYPE_FLAGS) +debug_info
+ERL_COMPILE_FLAGS += -Werror -pa $(WINGS_INTL) \
+  -I $(WINGS_TOP) $(TYPE_FLAGS) +debug_info
 
 # ----------------------------------------------------
 # Targets
