=== debian/changelog ===
wings3d (2.2.4-4) unstable; urgency=medium

  * Add the GDK_BACKEND=x11 environment variable to /etc/wings3d.rc to fix
    segfaulting under Wayland with prospective erlang-wx version.
  * Bump the standards version to 4.4.0.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 08 Sep 2019 20:37:44 +0300

wings3d (2.2.4-3) unstable; urgency=medium

  * Rebuild for the source only upload.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 09 Jul 2019 08:35:17 +0300

wings3d (2.2.4-2) unstable; urgency=medium

  * Upload to unstable because the buster freeze is over.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 08 Jul 2019 07:37:57 +0300

wings3d (2.2.4-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream stable release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 16 Apr 2019 12:58:13 +0300

wings3d (2.2.3-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream development release.
  * Refresh patches.
  * Delete forgotten .gitignore from the binary package.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 01 Mar 2019 17:04:03 +0300

wings3d (2.2.2-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream development release.
  * Refresh patches. Remove no longer necessary ones.
  * Bump the standards version to 4.3.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 01 Feb 2019 09:15:51 +0300

wings3d (2.2.1-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream development release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 12 Dec 2018 10:22:48 +0300
