=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,8 @@
 	dh_install -XREADME $(SUBDIRS) $(LIBDIR)
 	# Remove errant executable flags to please lintian
 	find $(DIR)$(LIBDIR) -type f -exec chmod a-x \{\} \;
+	# Remove the .gitignore
+	find $(DIR) -name .gitignore -delete
 	# prepare substvars file
 	erlang-depends
 	grep-status -s Version -PX erlang-esdl | \
@@ -50,7 +52,7 @@
 	    >> debian/wings3d.substvars
 
 get-orig-source:
-	wget -O wings3d_2.1.6.orig.tar.bz2 \
-	    http://prdownloads.sourceforge.net/wings/wings-2.1.6.tar.bz2
+	wget -O wings3d_2.2.1.orig.tar.bz2 \
+	    http://prdownloads.sourceforge.net/wings/wings-2.2.1.tar.bz2
 
 .PHONY: override_dh_clean override_dh_auto_build override_dh_install get-orig-source
